
class ContaBancaria {
protected:
    float saldo;
    int agencia;
    int numeroCC;
    int tipo;
public:
    ContaBancaria( int tipo, int agencia, int numeroCC );
    void sacar( float valor );
    void depositar( float valor );
    virtual void printInfo() = 0; 
};
class ContaCorrente: public ContaBancaria {
public:
    ContaCorrente(int agencia, int numeroCC );
    virtual void printInfo();
};

class ContaPoupanca: public ContaBancaria {
protected:
    float rendimentoMensal;
public:
    ContaPoupanca(int agencia, int numeroCC );
    virtual void printInfo();
};
